#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int a[50010];
    int b[50010];
    int c[50010];
    int d[50010];
    for(int i=0;i<n;i++){
        cin>>a[i]<<b[i];
    }
    for(int i=0;i<m;i++){
        cin>>c[i]<<d[i];
    }
    cout<<0<<endl<<0;
    return 0;
}